
# Please take the time to finish this file as described in
# https://sourceforge.net/p/lirc-remotes/wiki/Checklist/
# and make it available to others by sending it to
# <lirc@bartelmus.de>
#
# This config file was automatically generated
# using lirc-0.10.1(default) on Fri Aug 21 14:43:33 2020
# Command line used: -d /dev/lirc0
# Kernel version (uname -r): 5.4.51-v7l+
#
# Remote name (as of config file): Thomson RCT311 SB1G
# Brand of remote device, the thing you hold in your hand: Thomson
# Remote device model nr: RCT311 SB1G
# Remote device info url:
# Does remote device has a bundled capture device e. g., a
#     usb dongle? : no
# For bundled USB devices: usb vendor id, product id
#     and device string (use dmesg or lsusb):
# Type of device controlled
#     (TV, VCR, Audio, DVD, Satellite, Cable, HTPC, ...) : TV, DVD, DVB-T
# Device(s) controlled by this remote:

# the remote control has three modes: DEC, DVD, TV
# depending on button DEC, DVD, TV the remote sends different
# codes for all following buttons, except
# VOLUMEUP, VOLUMEDOWN, MUTE send the same code in DVD and TV mode
#
# DEC, DVD, TV switch mode AND send fixed codes:
# DEC 0xA4F, DVD 0x44F, TV 0x32F

begin remote

  name  thomson-rct311-DEC
  bits           12
  flags SPACE_ENC|CONST_LENGTH
  eps            30
  aeps          100

  one           538  4518
  zero          538  2002
  ptrail        542
  gap          80174
  min_repeat      1
  suppress_repeat 4
#  uncomment to suppress unwanted repeats
  toggle_bit_mask 0x80
  frequency    38000

      begin codes
#button DEC
          KEY_POWER                0xA1D
          KEY_VOLUMEUP             0xA2B
          KEY_VOLUMEDOWN           0xA2A
          KEY_MUTE                 0xA05
          KEY_BACK                 0xA28
          KEY_CHANNELUP            0xA25
          KEY_CHANNELDOWN          0xA27
          KEY_EXIT                 0xA3D
          KEY_MENU                 0xA19
          KEY_OK                   0xA33
          KEY_UP                   0xA34
          KEY_DOWN                 0xA35
          KEY_LEFT                 0xA36
          KEY_RIGHT                0xA37
#button OPEN+CLOSE
          KEY_TITLE                0xA0D
#button LIST
          KEY_SUBTITLE             0xA1A
          KEY_INFO                 0xA32
          KEY_EPG                  0xA1C
          KEY_TEXT                 0xA1E
          KEY_1                    0xA00
          KEY_2                    0xA08
          KEY_3                    0xA10
          KEY_4                    0xA01
          KEY_5                    0xA09
          KEY_6                    0xA11
          KEY_7                    0xA02
          KEY_8                    0xA0A
          KEY_9                    0xA12
          KEY_0                    0xA0E
#button AV
          KEY_TUNER                0xA2E
          KEY_RADIO                0xA18
          KEY_REWIND               0xA1F
          KEY_PLAY                 0xA20
          KEY_FORWARD              0xA21
          KEY_RECORD               0xA23
          KEY_STOP                 0xA24
          KEY_PAUSE                0xA22
#button AGAIN
          KEY_LAST                 0xA2C
#button LIVE
          KEY_LANGUAGE             0xA2F
#button ADVANCE
          KEY_NEXT                 0xA2D
      end codes

end remote

begin remote

  name  thomson-rct311-DVD
  bits           12
  flags SPACE_ENC|CONST_LENGTH
  eps            30
  aeps          100

  one           538  4518
  zero          538  2002
  ptrail        542
  gap          80174
  min_repeat      1
  suppress_repeat 4
#  uncomment to suppress unwanted repeats
  toggle_bit_mask 0x80
  frequency    38000

      begin codes
          KEY_POWER                0x41D
          KEY_VOLUMEUP             0x329
          KEY_VOLUMEDOWN           0x32A
          KEY_MUTE                 0x305
          KEY_BACK                 0x429
          KEY_CHANNELUP            0x427
          KEY_CHANNELDOWN          0x428
          KEY_EXIT                 0x43D
          KEY_MENU                 0x419
          KEY_OK                   0x433
          KEY_UP                   0x434
          KEY_DOWN                 0x435
          KEY_LEFT                 0x436
          KEY_RIGHT                0x437
#button OPEN+CLOSE
          KEY_TITLE                0x426
#button LIST
          KEY_SUBTITLE             0x423
          KEY_INFO                 0x414
          KEY_EPG                  0x415
          KEY_TEXT                 0x417
          KEY_1                    0x400
          KEY_2                    0x408
          KEY_3                    0x410
          KEY_4                    0x401
          KEY_5                    0x409
          KEY_6                    0x411
          KEY_7                    0x402
          KEY_8                    0x40A
          KEY_9                    0x412
          KEY_0                    0x40E
#button AV
          KEY_TUNER                0x41A
          KEY_RADIO                0x404
          KEY_REWIND               0x41F
          KEY_PLAY                 0x420
          KEY_FORWARD              0x421
          KEY_RECORD               0x43E
          KEY_STOP                 0x424
          KEY_PAUSE                0x418
#button AGAIN
          KEY_LAST                 0x42C
#button LIVE
          KEY_LANGUAGE             0x42F
#button ADVANCE
          KEY_NEXT                 0x42D
      end codes

end remote

begin remote

  name  thomson-rct311-TV
  bits           12
  flags SPACE_ENC|CONST_LENGTH
  eps            30
  aeps          100

  one           538  4518
  zero          538  2002
  ptrail        542
  gap          80174
  min_repeat      1
  suppress_repeat 4
#  uncomment to suppress unwanted repeats
  toggle_bit_mask 0x80
  frequency    38000

      begin codes
          KEY_POWER                0x31D
          KEY_VOLUMEUP             0x32B
          KEY_VOLUMEDOWN           0x32A
          KEY_MUTE                 0x305
          KEY_BACK                 0x328
          KEY_CHANNELUP            0x325
          KEY_CHANNELDOWN          0x327
          KEY_EXIT                 0x33E
          KEY_MENU                 0x331
          KEY_OK                   0x30C
          KEY_UP                   0x30B
          KEY_DOWN                 0x30D
          KEY_LEFT                 0x336
          KEY_RIGHT                0x337
#button OPEN+CLOSE
          KEY_TITLE                0x339
#button LIST
          KEY_SUBTITLE             0x33B
          KEY_INFO                 0x338
          KEY_EPG                  0x315
          KEY_TEXT                 0x31E
          KEY_1                    0x300
          KEY_2                    0x308
          KEY_3                    0x310
          KEY_4                    0x301
          KEY_5                    0x309
          KEY_6                    0x311
          KEY_7                    0x302
          KEY_8                    0x30A
          KEY_9                    0x312
          KEY_0                    0x30E
#button AV
          KEY_TUNER                0x318
          KEY_RADIO                0x304
          KEY_REWIND               0x320
          KEY_PLAY                 0x321
          KEY_FORWARD              0x323
          KEY_RECORD               0x32C
          KEY_STOP                 0x32D
          KEY_PAUSE                0x32E
#button AGAIN
          KEY_LAST                 0x303
#button LIVE
          KEY_LANGUAGE             0x316
#button ADVANCE
          KEY_NEXT                 0x306
      end codes

end remote
